#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.1.0
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.0-GVunSgoZlryExnnOK3NB88-dns-internal
key:                  dns-4.1.0-GVunSgoZlryExnnOK3NB88-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  a50fa2ee26d9b51910381ecbdac7ef8e
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.0-GVunSgoZlryExnnOK3NB88-dns-internal
depends:
    array-0.5.4.0 async-2.2.4-AR0l8uAXPCWDLjuJ0WmPrc
    attoparsec-0.14.4-Bitq06fOXaQEGQakktsGdP
    auto-update-0.1.6-BTu8ntnwKb99jYSOBWu8Gp base-4.15.1.0
    base16-bytestring-1.0.2.0-AsSLHXolLNk7hJ69mtxQro
    base64-bytestring-1.2.1.0-JtcxXiGM3VsF7DHiCmV9g7
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-IznUR9rD9tP2o63wIYGsG8
    hourglass-0.2.12-I6e8eyQVvCbtXGIWzyzwn
    iproute-1.7.12-G8OPpLdJkxF8gpSJ6TNVqw mtl-2.2.2
    network-3.1.2.7-2WzPivu7vvF26pyJQ7YlHo
    psqueues-0.2.7.3-4VilnDRFxWEETsrPa5AWxP

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.1.0
visibility:           public
id:                   dns-4.1.0-2DfFocqc1Da89BihA5a2VS
key:                  dns-4.1.0-2DfFocqc1Da89BihA5a2VS
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  291ac5ab533aeb4661e9cd2c6b71cbec
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.0-2DfFocqc1Da89BihA5a2VS
depends:
    array-0.5.4.0 async-2.2.4-AR0l8uAXPCWDLjuJ0WmPrc
    attoparsec-0.14.4-Bitq06fOXaQEGQakktsGdP
    auto-update-0.1.6-BTu8ntnwKb99jYSOBWu8Gp base-4.15.1.0
    base16-bytestring-1.0.2.0-AsSLHXolLNk7hJ69mtxQro
    base64-bytestring-1.2.1.0-JtcxXiGM3VsF7DHiCmV9g7
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-IznUR9rD9tP2o63wIYGsG8
    dns-4.1.0-GVunSgoZlryExnnOK3NB88-dns-internal
    hourglass-0.2.12-I6e8eyQVvCbtXGIWzyzwn
    iproute-1.7.12-G8OPpLdJkxF8gpSJ6TNVqw mtl-2.2.2
    network-3.1.2.7-2WzPivu7vvF26pyJQ7YlHo
    psqueues-0.2.7.3-4VilnDRFxWEETsrPa5AWxP

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

